"use strict";

const {
  convertCode
} = require('../utilities');

test('asynchronous iterator', () => {
  const inputCode = `async function process(array) {
  for await (let i of array) {
    doSomething(i);
  }
}`;
  const outputCode = `async function process(array) {
  for await (let i of array) {
    doSomething(i);
  }
}`;
  expect(convertCode(inputCode)).toBe(outputCode);
});